Skip to navigation

Upsert Subscription

View as Markdown
Partner Restricted

All assessment API endpoints are restricted to assessment providers that have signed a Paylocity technology partnership agreement. Please reach out to Techpartnerships@paylocity.com if you would like to discuss partnership opportunities.

Summary Description

This endpoint is used for updating or creating a subscription for a company within Paylocity’s platform by the companyId.

Use Cases

  • Single Subscription Per Company: Each company can have only one subscription, eliminating the need for an ID in the request
  • Create or Update: The Partner can use this endpoint to either create a new subscription or update an existing one
  • Mandatory Subscription Object: Orders cannot be submitted without a subscription object, subject to confirmation with the partner

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

companyIdstringRequired

Paylocity company identifier (COID): up to 9 alphanumeric characters for the target company.

Headers

testModestringOptional
If true all responses are mocked and generated randomly.
AcceptstringOptional

Media type(s) the client can accept in the response (typically application/json).

Request

Request payload for this operation. See the official endpoint documentation for required fields and allowable values.

Response

Successful response

Errors

401
Unauthorized Error